## GstControlBinding GstControlBinding |

## Functions

gboolean | gst_control_binding_sync_values ()
GValue * | gst_control_binding_get_value ()
gboolean | gst_control_binding_get_value_array ()
gboolean | gst_control_binding_get_g_value_array ()
void | gst_control_binding_set_disabled ()
gboolean | gst_control_binding_is_disabled ()

## Properties

gchar * | name | Read / Write / Construct Only
GstObject * | object | Read / Write / Construct Only

## Types and Values

struct | GstControlBinding
struct | GstControlBindingClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlBinding

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_control_binding_sync_values ()

    gboolean
    gst_control_binding_sync_values (GstControlBinding *binding,
                                     GstObject *object,
                                     GstClockTime timestamp,
                                     GstClockTime last_sync);

### gst_control_binding_get_value ()

    GValue *
    gst_control_binding_get_value (GstControlBinding *binding,
                                   GstClockTime timestamp);

### gst_control_binding_get_value_array ()

    gboolean
    gst_control_binding_get_value_array (GstControlBinding *binding,
                                         GstClockTime timestamp,
                                         GstClockTime interval,
                                         guint n_values,
                                         gpointer values);

### gst_control_binding_get_g_value_array ()

    gboolean
    gst_control_binding_get_g_value_array (GstControlBinding *binding,
                                           GstClockTime timestamp,
                                           GstClockTime interval,
                                           guint n_values,
                                           GValue *values);

### gst_control_binding_set_disabled ()

    void
    gst_control_binding_set_disabled (GstControlBinding *binding,
                                      gboolean disabled);

### gst_control_binding_is_disabled ()

    gboolean
    gst_control_binding_is_disabled (GstControlBinding *binding);

## Types and Values

### struct GstControlBinding

    struct GstControlBinding {
      gchar *name;
      GParamSpec *pspec;
    };

### struct GstControlBindingClass

    struct GstControlBindingClass {
      GstObjectClass parent_class;

      gboolean (* sync_values) (GstControlBinding *binding, GstObject *object, GstClockTime timestamp, GstClockTime last_sync);
      GValue * (* get_value) (GstControlBinding *binding, GstClockTime timestamp);
      gboolean (* get_value_array) (GstControlBinding *binding, GstClockTime timestamp,GstClockTime interval, guint n_values, gpointer values);
      gboolean (* get_g_value_array) (GstControlBinding *binding, GstClockTime timestamp,GstClockTime interval, guint n_values, GValue *values);
    };

## Property Details

### The `“name”` property

      “name”                     gchar *

The name of the property.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“object”` property

      “object”                   GstObject *

The object of the property.

Flags: Read / Write / Construct Only